id: wordpress-woocommerce-services

info:
  name: WooCommerce Shipping & Tax Detection
  author: ricardomaia
  severity: info
  reference:
    - https://wordpress.org/plugins/woocommerce-services/
  metadata:
    plugin_namespace: woocommerce-services
    wpscan: https://wpscan.com/plugin/woocommerce-services
  tags: tech,wordpress,wp-plugin,top-100,top-200

http:
  - method: GET
    path:
      - "{{BaseURL}}/wp-content/plugins/woocommerce-services/readme.txt"

    payloads:
      last_version: helpers/wordpress/plugins/woocommerce-services.txt

    extractors:
      - type: regex
        part: body
        internal: true
        name: internal_detected_version
        group: 1
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'

      - type: regex
        part: body
        name: detected_version
        group: 1
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'

    matchers-condition: or
    matchers:
      - type: dsl
        name: "outdated_version"
        dsl:
          - compare_versions(internal_detected_version, concat("< ", last_version))

      - type: regex
        part: body
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'
# digest: 4a0a00473045022100fce59778df988f174787ad3be3fc64773e27f6c2a690140d80519ef30123429402206e0de27c0d7b57fd0c863503048f59eb6a44d282208997f100429ef2aea5ee61:922c64590222798bb761d5b6d8e72950